Ubuntu 跟 Debian 到底差在哪裡 [論壇 - Ubuntu 哈啦]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



Ubuntu 跟 Debian 到底差在哪裡
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 4424
EXP: 22
離線
用起來覺得根本沒什麼兩樣
除了某些套件名稱不同與一小部份指令不一樣外

實在不知道差在哪, 以目前版本「xenial」VS「sid」, 性能上我覺得沒有差異..

2016/3/5 10:49
應用擴展 工具箱
回覆: Ubuntu 跟 Debian 到底差在哪裡
會員三級
註冊日期:
2012/4/26 9:45
所屬群組:
已註冊使用者
等級: 10
HP : 0 / 231
MP : 42 / 5012
EXP: 26
離線
就我所知:

Debian :保守穩定版;意思就是有很多軟體可能沒有,很多新硬體可能不支援,但就是因為版本最舊,歷經最多人的使用經驗與修正,所以很少不穩的。

ubuntu :先鋒潮流版;意思就是新軟體與新硬體很有可能在這裡找到或支援,但就是因為使用過的人較少、經歷短並修正少,所以有可能會有遇到bug的機會。

2016/3/7 21:05
應用擴展 工具箱
回覆: Ubuntu 跟 Debian 到底差在哪裡
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 4424
EXP: 22
離線
redhung 寫到:
就我所知:

Debian :保守穩定版;意思就是有很多軟體可能沒有,很多新硬體可能不支援,但就是因為版本最舊,歷經最多人的使用經驗與修正,所以很少不穩的。

ubuntu :先鋒潮流版;意思就是新軟體與新硬體很有可能在這裡找到或支援,但就是因為使用過的人較少、經歷短並修正少,所以有可能會有遇到bug的機會。


Debian 確實是蠻不方便的.
不過官方套件庫沒有有兩條路可以選.

1.自己找原始碼編譯

2.拿其他發行版的來用
按道理只要補齊依賴就可以跑了, 我試過把ubuntu的套件拿到 arch linux 完全可以用.
但也碰過有些是無解的, 比如舊版核心的發行版, 有些同名稱套件依賴在新版不能用. 這招只能用在時期相差不遠的版本, 新版與太舊的版本不能混用.

驅動也是一樣. 支不支援應該不是問題.

Debian / Ubuntu 這兩個我覺得根本是一樣的東西.

核心有哪些差異沒比對不知道...

uname -a 名稱不同.... 編譯核心的時候, 資料夾什麼名稱, 編譯出來就是什麼名稱了.

bug 我覺的官方發行版在不同的機器比較會發生.
有些可能是驅動/firmware 沒有齊全導致的問題也有.
如果是自己DIY組裝, 應該有相當程度的了解, 在安裝過程, 問題應該解決了.

2016/3/8 0:43
應用擴展 工具箱
回覆: Ubuntu 跟 Debian 到底差在哪裡
會員三級
註冊日期:
2010/4/8 20:36
所屬群組:
已註冊使用者
等級: 11
HP : 0 / 258
MP : 50 / 7144
EXP: 34
離線

https://zh.wikipedia.org/wiki/Ubuntu
https://zh.wikipedia.org/wiki/Debian



只給連結,不節錄內文的意思就是...要.全.部.看



Ubuntu用的deb檔拿到Debian上不一定能用,不能用的機率還蠻高的,反過來情形也是一樣,Debian用的deb檔拿到Ubuntu上不一定能用,不能用的機率還蠻高的,猜測有的人是外國來的abc,中文可能會不太好,可能會看不太懂反之亦然這四個字,所以特別說明一下



所以Ubuntu 跟 Debian 到底差在哪裡???
是差很多吧...

2016/3/8 17:35
應用擴展 工具箱
回覆: Ubuntu 跟 Debian 到底差在哪裡
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 4424
EXP: 22
離線
Thx4HelpEver 寫到:

https://zh.wikipedia.org/wiki/Ubuntu
https://zh.wikipedia.org/wiki/Debian



只給連結,不節錄內文的意思就是...要.全.部.看



Ubuntu用的deb檔拿到Debian上不一定能用,不能用的機率還蠻高的,反過來情形也是一樣,Debian用的deb檔拿到Ubuntu上不一定能用,不能用的機率還蠻高的,猜測有的人是外國來的abc,中文可能會不太好,可能會看不太懂反之亦然這四個字,所以特別說明一下



所以Ubuntu 跟 Debian 到底差在哪裡???
是差很多吧...



我是覺得差不多....

如果說deb 不能安裝, 那我還相信, 因為安裝腳本的問題, 有些依賴也因為套件庫裡的套件名稱不同或沒有, 所以沒辦法安裝.

但是說不能用, 不能跑. 我是不太認同.

不然可以做一個測試.

這是我自己編譯的 debian ubuntu arch-linux 通用
取代 indicator-sound-gtk2 的 GTK 面板音量控制程式 KDE 不適用.
時間點差不多的發行版 ubutu 14.04-16.04 debian Jessie - sid
https://github.com/Mint-Fans/linux-package/raw/debian/pa-applet_17.33-1_amd64.deb

我把安裝腳本的依賴拿掉, 照理說安裝好GTK的桌面環境就不需要依賴.

debian 神話我覺得是謊言

另外我覺得, 這種非滾動式的發行版說的不穩定版. 這感覺是在騙END USER.
END USER 普遍認為, 最新版都是不穩定的.
如果照這套邏輯, 那Arch Linux 根本不能用了.

2016/3/8 19:47
應用擴展 工具箱
回覆: Ubuntu 跟 Debian 到底差在哪裡
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 4424
EXP: 22
離線
我現在覺得這兩個東西根本是半斤八兩

Ubuntu 想標新立異, 改別人的原始碼存取路徑與設定沒改好導致驅動動不了.
照用就好了標新立異幹麻.
該死的 Ubuntu NVIDIA Optimus 驅動是實例之一.

Debian 套件過時,有些套件跟當下版本不太搭. 我用sid.
Debian catfish 1.22 從jessie到sid都是這個版號
實際測試根本不能用, 穩定到動不了...
但裝ubuntu的1.41板就能動了

應該是 sid 跟 xenial 能通用

普遍信徒都認為, 當下最新的發行板jessie跟Ubuntu 15或還沒出的16是同等級的 錯...
sid 才是與Ubuntu 15 16 同等級的.

同等級的才能通用...

說用U或D 算是.. 也不算是..
因為不是改成LinuxMint, 就是LMDE.

LinuxMint 就是 Ubuntu.
LMDE 就是 Debian.
就一個表皮加個Mint自家套件而已.

這兩個發行版讓人很難取捨...
Debian反應遲鈍,套件過時.Ubuntu標新立異出包,拿石頭雜自己的腳.
雖各有好壞, 仍然可以互補.
徘徊在這兩版也是因為Mint的緣故.
如果mint採用arch或其他發行板當基礎.U或D已經放在垃圾桶裡面了..

2016/3/25 17:25
應用擴展 工具箱
回覆: Ubuntu 跟 Debian 到底差在哪裡
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 4424
EXP: 22
離線
套件知道debian比較舊, 那比對一下核心.

linux 原版核心
https://www.kernel.org/pub/linux/kernel/v4.x/linux-4.4.tar.xz
https://www.kernel.org/pub/linux/kernel/v4.x/linux-4.4.6.tar.xz

Ubuntu linux-image-4.4.0-15-generic 使用 linux-4.4 原始碼編譯
http://packages.ubuntu.com/xenial/linux-image-4.4.0-15-generic
ubuntu有提供diff檔案 解壓縮後
原始碼命名 linux-4.4.0
$ cd 下載目錄
$ patch -p0 -i linux_4.4.0-15.31.diff
命名linux-4.4.0-ubuntu
再解壓縮 linux-4.4.tar.xz
就可以進行比對

debian linux-image-4.4.0-1-amd64 使用 linux-4.4.6 原始碼編譯
https://packages.debian.org/sid/linux-image-4.4.0-1-amd64
沒提供diff [linux_4.4.6.orig.tar.xz] 已經是改好的(沒錯的話應該是這樣)

比對後發現Ubuntu原始碼修改幅度很大, 改很多東西.
Debian 幾乎沒什麼改到, 應該可以直接編譯Linux官方核心來用.

Debian 說它保守也不是,核心都用的比它兒子還新. 只是套件懶得更新而已.

說是歷經多人使用比較穩定...好像對 又好像不對.
但沒人測試也是有可能的...


有圖為證...

ubuntu


debian

2016/3/25 20:00
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.